nvme_import_tls_key(2)

NAME
nvme_import_tls_key - Import a TLS key

SYNOPSIS
unsigned char * nvme_import_tls_key (const char *encoded_key , int *key_len , unsigned int *hmac );

ARGUMENTS

encoded_key
    TLS key in PSK interchange format

key_len
    Length of the resulting key data

hmac
    HMAC algorithm

DESCRIPTION
Imports key_data in the PSK Interchange format as defined in section 3.6.1.5 of the NVMe TCP Transport specification.

RETURN
The raw data of the PSK or NULL with errno set on error. It is the responsibility of the caller to free the returned string.